import os
import sys

from default_param import *
from user_param import *

def main():
	
	f=open("param.def", "w")

	f.write("&params_run\n")
	f.write('UsingServer2 = ' + UsingServer2 + '\n')
	f.write('RatioServer2 = ' + repr(RatioServer2) + '\n')
	f.write('NumberPoolsServer2 = ' + repr(NumberPoolsServer2) + '\n')
	f.write('nb_proc_atm = ' + repr(NumberClients) + '\n')
	f.write('NumberServers = ' + repr(NumberServers) + '\n')
	f.write('duration = ' + repr(Duration) + '\n')
	f.write('/\n\n')

	f.close()

	nb_proc = NumberClients+NumberServers

	filein = open("iodef.xml", "r")
	fileout = open("iodef.xml.tmp", "w")
	for line in filein:
		if 'number_pools_server2' in line:
			fileout.write( "        <variable id=\"number_pools_server2\" type=\"int\">"+repr(NumberPoolsServer2)+"</variable>\n")
		elif 'using_server2' in line:
			fileout.write( "        <variable id=\"using_server2\" type=\"bool\">"+UsingServer2+"</variable>\n")
		elif 'ratio_server2' in line:
			fileout.write( "        <variable id=\"ratio_server2\" type=\"int\">"+repr(RatioServer2)+"</variable>\n")
		else:
			fileout.write(line)

	filein.close()
	fileout.close()
	os.rename("iodef.xml.tmp", "iodef.xml")


	print >>sys.stderr, nb_proc



if __name__== "__main__":
  main()